use crate::ninja::NinjaWriter;
use std::fs::File;
use std::io;
use std::path::Path;

pub mod asset;
pub mod client;
pub mod rust;

pub fn create_writer(root: &Path) -> Result<NinjaWriter<File>, io::Error> {
    let mut w = NinjaWriter::new(File::create(root.join("build.ninja"))?);
    w.comment("Generated by spacetime")?;
    w.comment("Do not edit manually")?;
    Ok(w)
}
